Cabal-3.10.1.0: A framework for packaging Haskell software

Copyright | Duncan Coutts 2009
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Simple.Program.Ld

Description

This module provides an library interface to the `ld` linker program.

Synopsis

- combineObjectFiles :: Verbosity -> LocalBuildInfo -> ConfiguredProgram -> FilePath -> [FilePath] -> IO ()

# Documentation

combineObjectFiles :: Verbosity -> LocalBuildInfo -> ConfiguredProgram -> FilePath -> [FilePath] -> IO () Source #

Call `ld -r` to link a bunch of object files together.